<%namespace name="charts" file="/charts.mako"/>
<div class="row stats-metrics" data-url="${request.route_path('api.incoming.stats', _query=dict(internal=True))}">
    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-clock-o"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_('Average duration')}</span>
                <span class="info-box-number stats-value" data-name="avg_duration" data-formatter="duration"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-clock-o"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Total duration')}</span>
                <span class="info-box-number stats-value" data-name="sum_duration" data-formatter="duration"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <!-- fix for small devices only -->
    <div class="clearfix visible-sm-block"></div>

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-green"><i class="fa fa-check-circle"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Answered calls')}</span>
                <span class="info-box-number stats-value" data-name="answered" data-formatter="integer"></span>
                <span class="info-box-description stats-value" data-name="answered_ratio" data-formatter="percent"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-times-circle"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Missed calls')}</span>
                <span class="info-box-number stats-value" data-name="missed" data-formatter="integer"></span>
                <span class="info-box-description stats-value" data-name="missed_ratio" data-formatter="percent"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->
</div>

<div class="row">
    <!-- answered by src -->
    <div class="col-md-6">
${charts.render_pie(_(u'Calls distribution by caller (top 10)'), request.route_path('api.outgoing.answered', _query=dict(internal=True)), formatter='integer', total='integer')}
    </div>

    <!-- answered by dst -->
    <div class="col-md-6">
${charts.render_pie(_(u'Calls distribution by called (top 10)'), request.route_path('api.incoming.answered', _query=dict(internal=True)), formatter='integer', total='integer')}
    </div>
</div>

<div class="row">
    <!-- avg by src -->
    <div class="col-md-6">
${charts.render_pie(_(u'Average duration by caller (top 10)'), request.route_path('api.outgoing.duration', aggregate='avg', _query=dict(internal=True)), formatter='duration', total='duration')}
    </div>

    <!-- avg by dst -->
    <div class="col-md-6">
${charts.render_pie(_(u'Average duration by called (top 10)'), request.route_path('api.incoming.duration', aggregate='avg', _query=dict(internal=True)), formatter='duration', total='duration')}
    </div>
</div>

<div class="row">
    <!-- sum by src -->
    <div class="col-md-6">
${charts.render_pie(_(u'Calls duration by caller (top 10)'), request.route_path('api.outgoing.duration', aggregate='sum', _query=dict(internal=True)), formatter='duration', total='duration')}
    </div>

    <!-- sum by dst -->
    <div class="col-md-6">
${charts.render_pie(_(u'Calls duration by called (top 10)'), request.route_path('api.incoming.duration', aggregate='sum', _query=dict(internal=True)), formatter='duration', total='duration')}
    </div>
</div>

<div class="row">
    <!-- duration-range -->
    <div class="col-md-6">
${charts.render_pie(_(u'Duration ranges'), request.route_path('api.incoming.duration-range', _query=dict(internal=True)), formatter='percent', total='integer')}
    </div>

    <div class="col-md-6">
${charts.render_bar(_(u'Answered calls by time slot'), request.route_path('api.incoming.answered-range', _query=dict(internal=True)), color='success', formatter='integer', mode='categories')}
    </div>
</div>
