<%namespace name="charts" file="/charts.mako"/>
<div class="row stats-metrics" data-url="${request.route_path('api.queue.stats')}">
    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-clock-o"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_('Average holdtime')}</span>
                <span class="info-box-number stats-value" data-name="avg_holdtime" data-formatter="duration"></span>
##                <span class="info-box-description text-green"><i class="fa fa-caret-down"> </i> -3s</span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-aqua"><i class="fa fa-clock-o"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Average duration')}</span>
                <span class="info-box-number stats-value" data-name="avg_duration" data-formatter="duration"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <!-- fix for small devices only -->
    <div class="clearfix visible-sm-block"></div>

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-green"><i class="fa fa-check-circle"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Answered calls')}</span>
                <span class="info-box-number stats-value" data-name="answered" data-formatter="integer"></span>
                <span class="info-box-description stats-value" data-name="answered_ratio" data-formatter="percent"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->

    <div class="col-md-3 col-sm-6 col-xs-12">
        <div class="info-box">
            <span class="info-box-icon bg-red"><i class="fa fa-times-circle"></i></span>
            <div class="info-box-content">
                <span class="info-box-text">${_(u'Missed calls')}</span>
                <span class="info-box-number stats-value" data-name="missed" data-formatter="integer"></span>
                <span class="info-box-description stats-value" data-name="missed_ratio" data-formatter="percent"></span>
            </div><!-- /.info-box-content -->
        </div><!-- /.info-box -->
    </div><!-- /.col -->
</div>

<div class="row">
    <div class="col-md-6">
${charts.render_pie(_(u'Calls distribution (top 10)'), request.route_path('api.queue.answered'), formatter='integer', total='integer')}
    </div>

    <div class="col-md-6">
${charts.render_pie(_(u'Duration ranges'), request.route_path('api.queue.duration-range'), formatter='percent', total='integer')}
    </div>
</div>

<div class="row">
    <div class="col-md-6">
${charts.render_pie(_(u'Average duration (top 10)'), request.route_path('api.queue.duration', aggregate='avg'), formatter='duration')}
    </div>

    <div class="col-md-6">
${charts.render_pie(_(u'Calls duration (top 10)'), request.route_path('api.queue.duration', aggregate='sum'), formatter='duration', total='duration')}
    </div>
</div>

<div class="row">
    <div class="col-md-12">
${charts.render_bar(_(u'Answered calls by time slot'), request.route_path('api.queue.answered-range'), color='success', formatter='integer', mode='categories')}
    </div>
</div>

<div class="row">
    <div class="col-md-12">
${charts.render_bar(_(u'Missed calls by time slot'), request.route_path('api.queue.missed-range'), color='danger', formatter='integer', mode='categories')}
    </div>
</div>

<div class="row">
    <div class="col-md-12">
${charts.render_bar(_(u'Missed calls ratio by time slot'), request.route_path('api.queue.ratio-range'), color='danger', formatter='percent', mode='categories')}
    </div>
</div>

<div class="row">
    <div class="col-md-12">
${charts.render_bar(_(u'Average holding time by time slot'), request.route_path('api.queue.holdtime-range', aggregate='avg'), color='primary', mode='categories', formatter='duration')}
    </div>
</div>
