## -*- coding: utf-8 -*-
<%namespace name="form" file="/form-tags.mako"/>\
<%def name="head()"/>\
<%
route_name = request.matched_route.name if request.matched_route is not None else None

# Helper to get modules status
registry = request.registry
settings = registry.settings

def is_enabled(entry):
    value = settings.get(entry, '1')    # Enabled by default
    return value.lower() in ('1', 'on', 'true', 'yes', 'y')

skin_color = settings.get('skin.color', 'yellow')
%>\
<!DOCTYPE html>
<html lang="${localizer.locale_name}">
<head>
    <title>Call Center Metrics Application - ${title}${u' - {0}'.format(subtitle) if subtitle else u''}</title>
    <meta charset="utf-8">

    <meta name="viewport" content="initial-scale = 1, user-scalable = no">

    <!-- Babel -->
    <script src="${request.static_path('ccmetrics:static/lib/babel.js')}"></script>

    <!-- jQuery -->
    <script src="${request.static_path('ccmetrics:static/lib/jquery-2.1.0.min.js')}"></script>

    <!-- Bootstrap -->
    <script src="${request.static_path('ccmetrics:static/lib/bootstrap-3.3.5/js/bootstrap.min.js')}"></script>
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/lib/bootstrap-3.3.5/css/bootstrap.min.css')}" />

    <!-- Font Awesome -->
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/fonts/awesome-4.4.0/css/font-awesome.min.css')}" />

    <!-- Lobster font -->
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/fonts/lobster-15/Lobster.css')}" />

    <!-- Source Sans Pro font -->
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/fonts/source-sans-pro-9/SourceSansPro.css')}" />

    <!-- Moment.js -->
    <script src="${request.static_path('ccmetrics:static/lib/moment-2.10.6/min/moment-with-locales.min.js')}"></script>

    <!-- bootstrap-datetimepicker -->
    <script src="${request.static_path('ccmetrics:static/lib/bootstrap-datetimepicker-4.14.30/build/js/bootstrap-datetimepicker.min.js')}"></script>
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/lib/bootstrap-datetimepicker-4.14.30/build/css/bootstrap-datetimepicker.min.css')}" />

    <!-- bootstrap-daterangepicker -->
    <script src="${request.static_path('ccmetrics:static/lib/bootstrap-daterangepicker-2.0.9/daterangepicker.js')}"></script>
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/lib/bootstrap-daterangepicker-2.0.9/daterangepicker.css')}" />

    <!-- bootstrap-select -->
    <script src="${request.static_path('ccmetrics:static/lib/bootstrap-select-1.7.2/dist/js/bootstrap-select.min.js')}"></script>
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/lib/bootstrap-select-1.7.2/dist/css/bootstrap-select.min.css')}" />

    <!-- Charts.js -->
    <script src="${request.static_path('ccmetrics:static/lib/Chart-1.0.2.min.js')}"></script>

    <!-- sprintf -->
    <script src="${request.static_path('ccmetrics:static/lib/sprintf.min.js')}"></script>

    <!-- FooTable -->
    <script src="${request.static_path('ccmetrics:static/lib/footable-2.0.1.4/js/footable.all.min.js')}"></script>
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/lib/footable-2.0.1.4/css/footable.core.css')}" />

    <!-- slimScroll -->
    <script src="${request.static_path('ccmetrics:static/lib/slimScroll-1.3.3/jquery.slimscroll.min.js')}"></script>

    <!-- Admin-LTE -->
    <script src="${request.static_path('ccmetrics:static/lib/AdminLTE-2.3.0/js/app.min.js')}"></script>
    <link href="${request.static_path('ccmetrics:static/lib/AdminLTE-2.3.0/css/AdminLTE.min.css')}" rel="stylesheet" />
    <link href="${request.static_path('ccmetrics:static/lib/AdminLTE-2.3.0/css/skins/skin-{0}.css'.format(skin_color))}" rel="stylesheet" />

    <!-- I18n -->
    <script src="${request.static_path('ccmetrics:static/translations/{0}.js'.format(localizer.locale_name))}"></script>
    <script>
var language = "${localizer.locale_name}";
var translations = babel.Translations.load(window['BABEL_TO_LOAD_${localizer.locale_name}']).install();
    </script>

    <!-- CC Metrics -->
    <link rel="shortcut icon" type="image/png" href="${request.static_path('ccmetrics:static/img/ccmetrics.png')}" />
    <script src="${request.static_path('ccmetrics:static/js/ccmetrics.js', _query=dict(version='2014051501'))}"></script>
% if route_name is not None:
    <script src="${request.static_path('ccmetrics:static/js/ccmetrics.{0}.js'.format(route_name), _query=dict(version='2014051501'))}"></script>
% endif
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/css/ccmetrics.css', _query=dict(version='2014051501'))}" />
    <link rel="stylesheet" href="${request.static_path('ccmetrics:static/css/ccmetrics-{0}.css'.format(skin_color), _query=dict(version='2014051501'))}" />

    ${self.head()}
</head>
<body class="skin-${skin_color} fixed">
    <div class="wrapper">
        <header class="main-header">
            <!-- Logo -->
            <a href="${request.route_path('index')}" class="logo" title="Call Center Metrics">
                <span class="logo-lg">
                    ccMetrics
                </span>
            </a>

            <!-- Header Navbar: style can be found in header.less -->
            <nav class="navbar navbar-static-top" role="navigation">
                <!-- Sidebar toggle button-->
                <a href="#" class="sidebar-toggle" data-toggle="offcanvas" role="button">
                    <span class="sr-only">${_(u'Toggle navigation')}</span>
                </a>

                <a href="#filters-form" class="filters-toggle collapse" data-toggle="collapse" role="button">
                    <span class="sr-only">${_(u'Toggle filtering')}</span>
                    <i class="fa fa-filter"> </i>
                </a>

% if route_name is not None:
                <%form:form name="filters" method="get" class_="navbar-form navbar-left filters-form" id="filters-form" role="form">
## Range selector
                    <div class="form-group">
                        <%form:hidden id="filters-since" name="since" />
                        <%form:hidden id="filters-until" name="until" />
                        <div id="range-selector" class="btn btn-primary">
                            <i class="fa fa-calendar"> </i>&nbsp;&nbsp;
                            <span></span>&nbsp;&nbsp;
                            <b class="caret"></b>
                        </div>
                    </div>

## Extension selector
    % if route_name == 'queue':
                    <div class="form-group">
                        <%form:select id="filters-queue" name="queue" data_style="btn-primary">
                            <%form:option value="">-- ${_(u'Queue')}</%form:option>
        % for value, name in extensions:
                            <%form:option value="${value}">${name}</%form:option>
        % endfor
                        </%form:select>
                    </div>
    % elif route_name == 'incoming':
                    <div class="form-group">
                        <%form:select id="filters-dst" name="dst" data_style="btn-primary">
                            <%form:option value="">-- ${_(u'Extension')}</%form:option>
        % for value, name in extensions:
                            <%form:option value="${value}">${name}</%form:option>
        % endfor
                        </%form:select>
                    </div>
    % elif route_name == 'outgoing':
                    <div class="form-group">
                        <%form:select id="filters-src" name="src" data_style="btn-primary">
                            <%form:option value="">-- ${_(u'Extension')}</%form:option>
        % for value, name in extensions:
                            <%form:option value="${value}">${name}</%form:option>
        % endfor
                        </%form:select>
                    </div>
    % endif

## Internal
    % if route_name in ('incoming', 'outgoing'):
                    <div class="form-group">
                        <%form:select id="filters-internal" name="internal" data_style="btn-primary">
                            <%form:option value="false">${_(u'External')}</%form:option>
                            <%form:option value="true">${_(u'Internal')}</%form:option>
                        </%form:select>
                    </div>
    % endif

## Actions
                    <div class="form-group">
                        <div class="btn-group">
                            <a id="prev-range" class="btn btn-primary" title="${_(u'Go to previous interval')}" href="#"><i class="fa fa-chevron-left"> </i></a>
                            <a id="refresh" class="btn btn-primary" title="${_(u'Refresh current interval')}" href="#"><i class="fa fa-refresh"> </i></a>
                            <a id="next-range" class="btn btn-primary" title="${_(u'Go to next interval')}" href="#"><i class="fa fa-chevron-right"> </i></a>
                        </div>

    % if route_name in ('incoming', 'outgoing', 'queue'):
                        <button type="submit" class="btn btn-primary" title="${_(u'Download CSV file')}" name="format" value="csv"><i class="fa fa-download"> </i></button>
    % endif
                    </div>
                </%form:form>
% endif
            </nav>
        </header>

        <!-- Left side column. contains the logo and sidebar -->
        <aside class="main-sidebar">
            <!-- sidebar: style can be found in sidebar.less -->
            <section class="sidebar">

                <!-- sidebar menu: : style can be found in sidebar.less -->
                <ul class="sidebar-menu">
                    <!-- Dashboard -->
                    <li class="${u' active' if route_name == 'dashboard' else u''}">
                        <a href="${request.route_path('index')}">
                            <i class="fa fa-dashboard"></i>
                            <span>${_(u'Dashboard')}</span>
                            <i class="fa fa-angle-left pull-right"></i>
                        </a>
                        <ul class="treeview-menu">
% if is_enabled('dashboard.queue'):
                            <li${u' class="active"' if page == 'queue' else u'' | n}>
                                <a href="${request.route_path('dashboard', page='queue')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Queue')}
                                </a>
                            </li>
% endif
% if is_enabled('dashboard.incoming'):
                            <li${u' class="active"' if page == 'incoming' else u'' | n}>
                                <a href="${request.route_path('dashboard', page='incoming')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Incoming')}
                                </a>
                            </li>
% endif
% if is_enabled('dashboard.outgoing'):
                            <li${u' class="active"' if page == 'outgoing' else u'' | n}>
                                <a href="${request.route_path('dashboard', page='outgoing')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Outgoing')}
                                </a>
                            </li>
% endif
% if is_enabled('dashboard.internal'):
                            <li${u' class="active"' if page == 'internal' else u'' | n}>
                                <a href="${request.route_path('dashboard', page='internal')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Internal')}
                                </a>
                            </li>
% endif
                        </ul><!-- /.treeview-menu -->
                    </li>

% if is_enabled('menu.queue'):
                    <!-- Queue -->
                    <li class="${u' active' if route_name == 'queue' else u''}">
                        <a href="#">
                            <i class="fa fa-users"></i>
                            <span>${_(u'Queue')}</span>
                            <i class="fa fa-angle-left pull-right"></i>
                        </a>
                        <ul class="treeview-menu">
                            <li${u' class="active"' if page == 'charts' else u'' | n}>
                                <a href="${request.route_path('queue', page='charts')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Charts')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'answered' else u'' | n}>
                                <a href="${request.route_path('queue', page='answered')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Answered')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'missed' else u'' | n}>
                                <a href="${request.route_path('queue', page='missed')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Missed')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'abandoned' else u'' | n}>
                                <a href="${request.route_path('queue', page='abandoned')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Abandoned')}
                                </a>
                            </li>
                        </ul><!-- /.treeview-menu -->
                    </li>
% endif

% if is_enabled('menu.incoming'):
                    <!-- Incoming -->
                    <li class="${u' active' if route_name == 'incoming' else u''}">
                        <a href="#">
                            <i class="fa fa-sign-in"></i>
                            <span>${_(u'Incoming')}</span>
                            <i class="fa fa-angle-left pull-right"></i>
                        </a>
                        <ul class="treeview-menu">
                            <li${u' class="active"' if page == 'charts' else u'' | n}>
                                <a href="${request.route_path('incoming', page='charts')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Charts')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'answered' else u'' | n}>
                                <a href="${request.route_path('incoming', page='answered')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Answered')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'missed' else u'' | n}>
                                <a href="${request.route_path('incoming', page='missed')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Missed')}
                                </a>
                            </li>
                        </ul><!-- /.treeview-menu -->
                    </li>
% endif

% if is_enabled('menu.outgoing'):
                    <!-- Outgoing -->
                    <li class="${u' active' if route_name == 'outgoing' else u''}">
                        <a href="#">
                            <i class="fa fa-sign-out"></i>
                            <span>${_(u'Outgoing')}</span>
                            <i class="fa fa-angle-left pull-right"></i>
                        </a>
                        <ul class="treeview-menu">
                            <li${u' class="active"' if page == 'charts' else u'' | n}>
                                <a href="${request.route_path('outgoing', page='charts')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Charts')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'answered' else u'' | n}>
                                <a href="${request.route_path('outgoing', page='answered')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Answered')}
                                </a>
                            </li>
                            <li${u' class="active"' if page == 'missed' else u'' | n}>
                                <a href="${request.route_path('outgoing', page='missed')}">
                                    <i class="fa fa-circle-o"></i>
                                    ${_(u'Missed')}
                                </a>
                            </li>
                        </ul><!-- /.treeview-menu -->
                    </li>
% endif
                </ul>
            </section>
        </aside>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <h1>
                    ${title}
% if subtitle:
                    <small>${subtitle}</small>
% endif
                </h1>
                <ol class="breadcrumb">
% for index, (name, url) in enumerate(breadcrumb):
                    <li>
    % if index == 0:
                        <i class="fa fa-dashboard"></i>&nbsp;
    % endif
                        <a href="${url}">${name}</a>
                    </li>
% endfor
                </ol>
            </section>

            <!-- Main content -->
            <section class="content">
${self.body()}
            </section><!-- /.content -->
        </div><!-- /.content-wrapper -->

        <footer class="main-footer">
            <div class="pull-right hidden-xs">
                <b>Version</b> 2.0
            </div>
            Copyright &copy; 2014-2015 <a href="http://www.enercoop.fr" title="Enercoop, Fournisseur d'électricité verte" target="_blank">Enercoop</a>, <a href="http://www.easter-eggs.com" target="_blank">Easter-eggs</a>, tous droits réservés - Design : <a href="http://almsaeedstudio.com" target="_blank">Almsaeed Studio</a></strong>
        </footer>

    </div><!-- ./wrapper -->

    <div id="scroll-top"><a href="#top">Top</a></div>
</body>
</html>
